<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Lista składowych</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_vector2_d.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">QCPVector2D Lista składowych</div></div>
</div><!--header-->
<div class="contents">

<p>To jest kompletna lista składowych dla <a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a>, uwzględniająca wszystkie dziedziczone składowe.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a2d3ff018ba2aca0ac0d15db35d45a4de">angle</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a14840cd3da80cfee4eb3f8977cab89ab">distanceSquaredToLine</a>(const QCPVector2D &amp;start, const QCPVector2D &amp;end) const</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a0c44ca97d46ee04feec32c1c57e70831">distanceSquaredToLine</a>(const QLineF &amp;line) const</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#ae240b845c3744e43a5d0aa7b2bb66c19">distanceToStraightLine</a>(const QCPVector2D &amp;base, const QCPVector2D &amp;direction) const</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a39f8d28db7dbffcca6aa63a1f1f6e176">dot</a>(const QCPVector2D &amp;vec) const</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#ace99f200b347b14864808213eef16593">isNull</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a10adb5ab031fe94f0b64a3c5aefb552e">length</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a766585459d84cb149334fda1a498b2e5">lengthSquared</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#ab6f67c521be2e7eea7d31175d086ac2c">mX</a></td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a1b6dbdfb973c4cb478116cd610265e13">mY</a></td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#ad83268be370685c2a0630acc0fb1a425">normalize</a>()</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a707bb3af3b1f9331a2450ec75eaf7eb0">normalized</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#aa75268fb64b9eaee5448fb815007bee9">operator*</a></td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#aace10d28a76e84e7380ede1a9cb58274">operator*</a></td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#aa52a246d168f475a4231c7bdfdac7df1">operator*=</a>(double factor)</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a24cc5985429b12dbed4d0d3c5a917d20">operator+</a></td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#aa2c34754ce8839b2d074dec741783c5e">operator+=</a>(const QCPVector2D &amp;vector)</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a9e01331d8debf0877ee4cba9abd83605">operator-</a></td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a14c807d345ee3f22d6809bb5a4137b52">operator-</a></td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a3a2e906bb924983bb801e89f28a3d566">operator-=</a>(const QCPVector2D &amp;vector)</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#aa69909afc8c656999a2ea292ea01244b">operator/</a></td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#aefa55eb9282c066a330ca281881e0ec0">operator/=</a>(double divisor)</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a6c757af9671d925af4a36c2f58fb7234">operator&lt;&lt;</a>(QDebug d, const QCPVector2D &amp;vec)</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a0e08d09f9027784237e302e32290b001">perpendicular</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a04c90748c3623044c79fa20788ffbcc6">QCPVector2D</a>()</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a47bd86cebc5588dad6ec84349d9098d4">QCPVector2D</a>(double x, double y)</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#ad8f30a064dc37c90a7ba5e6732ceb5bb">QCPVector2D</a>(const QPoint &amp;point)</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a3c16eba1006c210ffc3299253fef2339">QCPVector2D</a>(const QPointF &amp;point)</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a9edab8e9318fde288dbfa13a4940ceeb">rx</a>()</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a0abf7321f6189c55df16639df558f2d7">ry</a>()</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#ab4249e6ce7bfc37be56f014c54b761ae">setX</a>(double x)</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#ada288019aa8cd51e3b30acfc07b461dc">setY</a>(double y)</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#add3edf75de9b7bf1abc693b973b2e906">toPoint</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#acd7af3f4a62833ada58be3f3021dbbac">toPointF</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a4a099e1f9788d52cb46deb8139aa6195">x</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html#a6398fb643ba380d7961a4b208f4eecf1">y</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
